6FT(1)

NAME
6ft - 6-frame translation of a DNA sequence into protein

SYNOPSIS
6ft [ -rs ] seq-library-file

DESCRIPTION
6ft translates all six reading frames of a double-stranded DNA sequence into individual protein sequences. Stop codons are represented by character "O". seq-library-file contains one or several sequences in Pearson/Fasta format.

This program may be used for searching genomic or EST sequence databases with a protein profile. Better results are usually obtained by first converting the protein profile into a frame-search profile, and then searching a 2-frame translation of the DNA sequence database generated with pftools program 2ft, see manual pages of pftool programs ptof and 2ft.

OPTIONS

-r  Translate only reversed (antisense) strand.

-s  Translate only sense strand.

EXAMPLES
See manual pages of pftools program ptof.

AUTHOR
Philipp Bucher
Philipp.Bucher@isrec.unil.ch